Arch Remove |
Расположение в меню |
---|
Архитектура → Удалить компонент |
Верстаки |
Arch |
Быстрые клавиши |
Нет |
Представлено в версии |
- |
См. также |
Arch CutLine, Arch CutPlane, Добавить компонент |
Описание
Инструменты «Удалить» позволяют выполнять 2 вида операций:
- Удалите подкомпонент из объекта Arch, например, удалите поле, добавленное к стене, например, в примере
Arch Add
- Вычтите объект на основе shape из компонента Arch, например
wall или
Arch Structure
The counterpart of this tool is the Arch Add tool.
В приведенном выше изображении коробка вычитается из стены
Применение
- Select a subcomponent inside an Arch object.
- Press the
Remove component button, or Modify →
Remove component from the top menu.
Or
- Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
- Press the
Remove component button, or Modify →
Remove component from the top menu.
Scripting
Программирование
См. так же: Arch API и Основы составления скриптов в FreeCAD.
The Remove tool can be used in macros and from the Python console by using the following function:
removeComponents(objectsList, host=None)
- Removes the given objects in
objectsList
from their parents. - If a
host
object is specified, this function will try adding the objects inobjectsList
as holes to thehost
.
Пример:
import FreeCAD, Draft, Arch
Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()
Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))
Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()
Эта страница получена от https://wiki.freecad.org/Arch_Remove